import PolyDataType from './poly-data-type.js';
import TypedArray from '../typed-array.js';
declare class PolyData {
    readonly polyDataType: PolyDataType;
    name: string;
    numberOfPoints: number;
    points: Float32Array;
    verticesBufferSize: number;
    vertices: null | Uint32Array;
    linesBufferSize: number;
    lines: null | Uint32Array;
    polygonsBufferSize: number;
    polygons: null | Uint32Array;
    triangleStripsBufferSize: number;
    triangleStrips: null | Uint32Array;
    numberOfPointPixels: number;
    pointData: null | TypedArray;
    numberOfCellPixels: number;
    cellData: null | TypedArray;
    constructor(polyDataType?: PolyDataType);
}
export default PolyData;
